Summary: DWARF optimization and duplicate removal tool
Name: dwz
Version: 0.15
Release: %mkrel 2
License: GPLv2+ and GPLv3+
Group: Development/C
URL: https://sourceware.org/dwz/
Source: https://sourceware.org/ftp/dwz/releases/%{name}-%{version}.tar.xz
BuildRequires: elfutils-devel
BuildRequires: xxhash-devel
BuildRequires: dejagnu
BuildRequires: gdb

# Patches

%description
The dwz package contains a program that attempts to optimize DWARF
debugging information contained in ELF shared libraries and ELF executables
for size, by replacing DWARF information representation with equivalent
smaller representation where possible and by reducing the amount of
duplication using techniques from DWARF standard appendix E - creating
DW_TAG_partial_unit compilation units (CUs) for duplicated information
and using DW_TAG_imported_unit to import it into each CU that needs it.

%prep
%autosetup -p1 -n dwz

%build
%make_build CFLAGS='%{build_cflags}' LDFLAGS='%{build_ldflags}' \
  prefix=%{_prefix} mandir=%{_mandir} bindir=%{_bindir}

%install
rm -rf %{buildroot}
%make_install prefix=%{_prefix} mandir=%{_mandir} bindir=%{_bindir}

%check
CFLAGS="" LDFLAGS="" make check

%files
%license COPYING COPYING3 COPYING.RUNTIME
%{_bindir}/dwz
%{_mandir}/man1/dwz.1*


%changelog
* Sat Apr 06 2024 wally <wally> 0.15-2.mga10
+ Revision: 2055178
- basesystem rebuild for i686

* Tue Nov 29 2022 tv <tv> 0.15-1.mga9
+ Revision: 1912536
- 0.15
- Add URL

* Tue Aug 02 2022 tv <tv> 0.14-3.mga9
+ Revision: 1874692
- Add testsuite fixes from FC
- Use make macros
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild
+ luigiwalser <luigiwalser>
- BR: gdb
- 0.14

* Mon Mar 02 2020 tv <tv> 0.13-1.mga8
+ Revision: 1553127
- 0.13

* Thu Feb 13 2020 umeabot <umeabot> 0.12-4.mga8
+ Revision: 1511994
- Mageia 8 Mass Rebuild
+ tv <tv>
- use %%license

* Sun Sep 23 2018 umeabot <umeabot> 0.12-3.mga7
+ Revision: 1297538
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 umeabot <umeabot> 0.12-2.mga6
+ Revision: 953804
- Mageia 6 Mass Rebuild

* Sat Jul 25 2015 tv <tv> 0.12-1.mga6
+ Revision: 857161
- new release

* Wed Oct 15 2014 umeabot <umeabot> 0.11-4.mga5
+ Revision: 743658
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-3.mga5
+ Revision: 678896
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.11-2.mga4
+ Revision: 529084
- Mageia 4 Mass Rebuild

* Wed Jul 03 2013 tv <tv> 0.11-1.mga4
+ Revision: 449943
- new release

* Mon Jun 10 2013 tv <tv> 0.10-1.mga4
+ Revision: 441430
- new release

* Fri Jan 11 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 349200
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 0.8-1.mga3
+ Revision: 323332
- new release

* Mon Aug 27 2012 tv <tv> 0.7-1.mga3
+ Revision: 284623
- new release

* Fri Jul 27 2012 tv <tv> 0.6-1.mga3
+ Revision: 275044
- imported package dwz


* Fri Jul 27 2012 Thierry Vignaud <tvignaud@mandriva.com> 0.6-1.mga3
- initial release
